#include <iostream>

using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    long long t, n, m,k, broj_bananica1, broj_bananica2, broj_clanova1, broj_clanova2;
    cin >> t;
    while(t--)
    {
        cin >> n >> m >> k;
        broj_clanova1 = (n / k);
        broj_clanova2 = (n % k);
        broj_bananica1 =k * broj_clanova1 * (broj_clanova1 + 1) / 2;
        broj_bananica2 = (broj_clanova1 + 1) * broj_clanova2;
        if (broj_bananica1 + broj_bananica2 <= m)
        {
            cout << "Tak" << endl;
        }
        else
        {
            cout << "Nie" << endl;
        }
    }

    return 0;
}